Get available drawdown margin
curl --request POST \
--url https://{environment}.ebury.io/drawdowns/available_margin \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"drawdown_sell_amount": 1.01,
"value_date": "<string>"
}
'import requests
url = "https://{environment}.ebury.io/drawdowns/available_margin"
payload = {
"drawdown_sell_amount": 1.01,
"value_date": "<string>"
}
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({drawdown_sell_amount: 1.01, value_date: '<string>'})
};
fetch('https://{environment}.ebury.io/drawdowns/available_margin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/drawdowns/available_margin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'drawdown_sell_amount' => 1.01,
'value_date' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/drawdowns/available_margin"
payload := strings.NewReader("{\n \"drawdown_sell_amount\": 1.01,\n \"value_date\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment}.ebury.io/drawdowns/available_margin")
.header("Authorization", "<authorization>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"drawdown_sell_amount\": 1.01,\n \"value_date\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/drawdowns/available_margin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"drawdown_sell_amount\": 1.01,\n \"value_date\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"drawdown_initial_margin": 123
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Drawdowns
Get available drawdown margin
Calculate the amount of initial margin that is currently available on a window forward so you can determine how much of a drawdown can be funded from margin.
POST
/
drawdowns
/
available_margin
Get available drawdown margin
curl --request POST \
--url https://{environment}.ebury.io/drawdowns/available_margin \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"drawdown_sell_amount": 1.01,
"value_date": "<string>"
}
'import requests
url = "https://{environment}.ebury.io/drawdowns/available_margin"
payload = {
"drawdown_sell_amount": 1.01,
"value_date": "<string>"
}
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({drawdown_sell_amount: 1.01, value_date: '<string>'})
};
fetch('https://{environment}.ebury.io/drawdowns/available_margin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/drawdowns/available_margin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'drawdown_sell_amount' => 1.01,
'value_date' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/drawdowns/available_margin"
payload := strings.NewReader("{\n \"drawdown_sell_amount\": 1.01,\n \"value_date\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment}.ebury.io/drawdowns/available_margin")
.header("Authorization", "<authorization>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"drawdown_sell_amount\": 1.01,\n \"value_date\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/drawdowns/available_margin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"drawdown_sell_amount\": 1.01,\n \"value_date\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"drawdown_initial_margin": 123
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Authorizations
An API Key.
Query Parameters
The ID of the client
The ID of the forward trade to draw down from
Body
application/json
Request Payload
Response
Available margin calculated
Amount of margin that can be used to fund the drawdown